Package com.avaya.clientservices.messaging.enums

## Enum MessageDeliveryState

- java.lang.Object
- - java.lang.Enum<MessageDeliveryState>
  - - com.avaya.clientservices.messaging.enums.MessageDeliveryState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessageDeliveryState>`

      public enum MessageDeliveryState
      extends java.lang.Enum<MessageDeliveryState>

  Represents read state of a message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DELIVERED` | Delivered to one or more recipients (both incoming and outgoing messages).
    `SENT` | Delivered to messaging server (outgoing message sent successfully).
    `UNSENT` | Default value for draft outgoing message.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessageDeliveryState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessageDeliveryState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSENT

          public static final MessageDeliveryState UNSENT

      Default value for draft outgoing message.

    - #### SENT

          public static final MessageDeliveryState SENT

      Delivered to messaging server (outgoing message sent successfully).

    - #### DELIVERED

          public static final MessageDeliveryState DELIVERED

      Delivered to one or more recipients (both incoming and outgoing messages). If MessageDeliveryReadStateMonitoring is not enabled in configruation or Messaging server doesn't support delivery state notifications, this value will be never set for outgoing messages.

  - ### Method Detail

    - #### values

          public static MessageDeliveryState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageDeliveryState c : MessageDeliveryState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageDeliveryState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null